Bug 195909 - emulators/pipelight Pipelight Error (flash)!
Summary: emulators/pipelight Pipelight Error (flash)!
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-12 02:10 UTC by sasamotikomi
Modified: 2015-05-17 05:51 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (kmoore)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sasamotikomi 2014-12-12 02:10:56 UTC
I try to install flash but it's just fail for some reason:

# pipelight-plugin --create-mozilla-plugins
$ pipelight-plugin --enable flash

"Something went wrong, check the terminal output"

Also I can't update script.

 pipelight-plugin --update
--2014-12-12 05:08:51--  https://bitbucket.org/mmueller2012/pipelight/raw/master/share/install-dependency.sig
Resolving bitbucket.org (bitbucket.org)... 131.103.20.167, 131.103.20.168
Connecting to bitbucket.org (bitbucket.org)|131.103.20.167|:443... connected.
ERROR: cannot verify bitbucket.org's certificate, issued by ‘/C=US/O=DigiCert Inc/OU=www.digicert.com/CN=DigiCert High Assurance EV CA-1’:
  Unable to locally verify the issuer's authority.
To connect to bitbucket.org insecurely, use `--no-check-certificate'.

ERROR: Failed to download latest dependency-installer script
Comment 1 Bugzilla Automation freebsd_committer 2014-12-12 02:10:56 UTC
Auto-assigned to maintainer kmoore@FreeBSD.org
Comment 2 sasamotikomi 2014-12-16 01:57:54 UTC
With last update situation hasn't changed.
pipelight-0.2.7.3_6
Comment 3 sasamotikomi 2014-12-16 02:18:22 UTC
(process:23503): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
Failed to find nss3 in installed directory, checking system paths.
*** Found new cache API                                                                       
*** Found old cache API                                                                       
FoxyProxy settingsDir: /home/myuser/.mozilla/firefox/myprofile.default/foxyproxy.xml           
[PIPELIGHT:LIN:unknown] attached to process.                                                  
[PIPELIGHT:LIN:unknown] checking environment variable PIPELIGHT_FLASH_CONFIG.                 
[PIPELIGHT:LIN:unknown] searching for config file pipelight-flash.                            
[PIPELIGHT:LIN:unknown] trying to load config file from '/home/myuser/.config/pipelight-flash'.                                                                                             
[PIPELIGHT:LIN:unknown] trying to load config file from '/etc/pipelight-flash'.
[PIPELIGHT:LIN:unknown] trying to load config file from '/usr/local/share/pipelight/configs/pipelight-flash'.
[PIPELIGHT:LIN:unknown] sandbox not found or not installed!
[PIPELIGHT:LIN:flash] using wine prefix directory /home/myuser/.wine-pipelight.
[PIPELIGHT:LIN:flash] checking plugin installation - this might take some time.
[install-dependency] Downloading and running wine-flash-installer.
sed: 1: "/Content-Length/{s/.*:  ...": extra characters at the end of p command
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
[install-dependency] ERROR: Downloading of wine-flash-installer failed multiple times. Please check:
[install-dependency]
[install-dependency]        * that your internet connection is working properly
[install-dependency]
[install-dependency]        * and that the plugin database is up-to-date. To update it just run:
[install-dependency]            sudo pipelight-plugin --update
[install-dependency]
[install-dependency]        If this doesn't help then most-likely the download URLs or checksums
[install-dependency]        have changed. We recommend to open a bug-report in this case.
[install-dependency] ERROR: Download of wine-flash-installer failed.
[PIPELIGHT:LIN:flash] basicplugin.c:342:checkPluginInstallation(): Plugin installer did not run correctly (exitcode = 1).
[PIPELIGHT:LIN:flash] basicplugin.c:111:attach(): plugin not correctly installed - aborting.
1418706818106   GMPInstallManager.simpleCheckAndInstall INFO    Last check was: 43031 seconds ago, minimum seconds: 86400
1418706818106   GMPInstallManager.simpleCheckAndInstall INFO    Will not check for updates
Comment 4 sasamotikomi 2014-12-16 02:31:41 UTC
I reproduce it on two my machine.
Comment 5 214748mv 2015-01-03 21:36:32 UTC
I have the same issue.
Comment 6 Steve Wills freebsd_committer 2015-01-14 14:35:17 UTC
(In reply to sasamotikomi from comment #0)
Installing ca_root_nss-3.17.3_1 with the ETCSYMLINK option enabled or manually linking /etc/ssl/cert.pem to /usr/local/share/certs/ca-root-nss.crt should fix the pipelight-plugin --update issue.
Comment 7 214748mv 2015-01-16 20:09:24 UTC
(In reply to Steve Wills from comment #6)
"manually linking /etc/ssl/cert.pem to /usr/local/share/certs/ca-root-nss.crt" works for me.
Thanks!
Comment 8 sasamotikomi 2015-01-19 00:33:55 UTC
(In reply to Steve Wills from comment #6)
Yes it's work:

# ln /usr/local/share/certs/ca-root-nss.crt /etc/ssl/cert.pem

But isn't it be easier to enable it by default?

Also possible just update to last version. 0.2.8.1 
pipelight-multi (0.2.8) RELEASED; urgency=low

  * Use signature for install-dependency.sig in clearsign format
  * Use new key for signing install-dependency.sig (used for --update)

https://bitbucket.org/mmueller2012/pipelight/raw/master/debian/changelog
Comment 9 sasamotikomi 2015-01-19 01:44:23 UTC
(In reply to sasamotikomi from comment #8)
Also some issue:
Any flash object( youtube etc.) 
press right mouse button -> setting ( isn't possible to change any setting)

(Firefox private window) Wineserver (and slave process) isn't shutdown when all tab with plugin closed (plugin-container shutdown)or Firefox closed(just setting?) repeatable if only private window is open.
Comment 10 miguelmclara 2015-02-20 05:52:45 UTC
% firefox 

(process:67602): GLib-CRITICAL **: g_slice_set_config: assertion 'sys_page_size == 0' failed
[PIPELIGHT:LIN:unknown] attached to process.
[PIPELIGHT:LIN:unknown] checking environment variable PIPELIGHT_FLASH_CONFIG.
[PIPELIGHT:LIN:unknown] searching for config file pipelight-flash.
[PIPELIGHT:LIN:unknown] trying to load config file from '/home/user/.config/pipelight-flash'.
[PIPELIGHT:LIN:unknown] trying to load config file from '/etc/pipelight-flash'.
[PIPELIGHT:LIN:unknown] trying to load config file from '/usr/local/share/pipelight/configs/pipelight-flash'.
[PIPELIGHT:LIN:unknown] sandbox not found or not installed!
[PIPELIGHT:LIN:flash] using wine prefix directory /home/user/.wine-pipelight.
[PIPELIGHT:LIN:flash] checking plugin installation - this might take some time.
[install-dependency] Downloading and running wine-flash-installer.
sed: 1: "/Content-Length/{s/.*:  ...": extra characters at the end of p command
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
Gtk-Message: GtkDialog mapped without a transient parent. This is discouraged.
[install-dependency] ERROR: Downloading of wine-flash-installer failed multiple times. Please check:
[install-dependency]
[install-dependency]        * that your internet connection is working properly
[install-dependency]
[install-dependency]        * and that the plugin database is up-to-date. To update it just run:
[install-dependency]            sudo pipelight-plugin --update
[install-dependency]
[install-dependency]        If this doesn't help then most-likely the download URLs or checksums
[install-dependency]        have changed. We recommend to open a bug-report in this case.
[install-dependency] ERROR: Download of wine-flash-installer failed.
[PIPELIGHT:LIN:flash] basicplugin.c:342:checkPluginInstallation(): Plugin installer did not run correctly (exitcode = 1).
[PIPELIGHT:LIN:flash] basicplugin.c:111:attach(): plugin not correctly installed - aborting.
Comment 11 miguelmclara 2015-02-20 22:21:53 UTC
Its seems the flash link in the install dependency  script is now dead:

wine-flash-installer) # http://www.adobe.com/de/software/flash/about/
			INS=(install_flash "16_0_0_235")
			URL="http://fpdownload.macromedia.com/get/flashplayer/pdc/16.0.0.235/install_flash_player.exe"
			SHA="4e83b1af33587cc7bcab870b9f30395f2d78a249c46cf8953ffcd928c8f9f07c


Current: http://fpdownload.macromedia.com/get/flashplayer/pdc/16.0.0.305/install_flash_player.exe
Comment 12 sasamotikomi 2015-02-21 08:12:57 UTC
(In reply to miguelmclara from comment #11)

I fixed already it, try use my update patch: 
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=197828

also: 
Fixed menu bug.
Comment 13 miguelmclara 2015-02-21 09:30:28 UTC
Thanks

I've patched mine locally but I'll update to test.  I'm also getting crashes from FF when using flash,  I'll paste the errors later as I'm in the mobile now. 

Perhaps even open a different PR since it's unrelated to this issue
Comment 14 Kurt Jaeger freebsd_committer 2015-05-06 19:54:01 UTC
Please test the new version from

https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=197828

and report back if this fixes this PR.
Comment 15 sasamotikomi 2015-05-17 05:51:58 UTC
(In reply to Kurt Jaeger from comment #14)
Thanks, fixed.